{% extends 'base.html' %}

{% block content %}
{% if request.session.peran == 'admin satgas' %}
<div class="container">
    <div class="row"></div>
    <div class="row align-items-center">
        <div class="col"></div>
        <div class="col-6">
            <form method="POST" action="{% url 'ruangan_rs:update' %}" class="">
                {% csrf_token %}
                <figure class="text-center">
                    <h3>Siruco - Ubah Ruangan RS</h3>
                </figure>

                <div class="mb-3">
                    <label for="kode-rs" class="form-label">Kode Ruangan</label>
                    <input type="text" id="kode-rs" name="kode-rs" class="form-width form-control" value={{ kode_rs }} readonly>
                </div>

                <div class="mb-3">
                    <label for="kode-ruangan" class="form-label">Kode Ruangan</label>
                    <input type="text" id="kode-ruangan" name="kode-ruangan" class="form-width form-control" value={{ kode_ruangan }} readonly>
                </div>

                <div class="mb-3">
                    <label for="tipe" class="form-label">Tipe</label>
                    <input type="text" id="tipe" name="tipe" class="form-width form-control" placeholder="Tipe" 
                    oninvalid="this.setCustomValidity('Data yang diisikan belum lengkap, silahkan lengkapi data terlebih dahulu')"
                    oninput="this.setCustomValidity('')" required>
                </div>

                <div class="mb-3">
                    <label for="harga" class="form-label">Harga</label>
                    <input type="text" id="harga" name="harga" class="form-width form-control" placeholder="Harga"
                    oninvalid="this.setCustomValidity('Data yang diisikan belum lengkap, silahkan lengkapi data terlebih dahulu')"
                    oninput="this.setCustomValidity('')" required>
                </div>

                <figure class="text-center">
                    {% for message in messages %}
                    {{ message }}
                    <br><br>
                    {% endfor %}
                    <button type="submit" class="btn btn-outline-primary">Simpan</button>
                </figure>
            </form>
        </div>
        <div class="col"></div>
    </div>
</div>
{% endif %}

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{% endblock content %}